Bug 1415789 - When connected to WiFi and a VPN the WiFi symbol is replaced by an Ethernet symbol which prohibits someone from seeing what there WiFi strength is.
Summary: When connected to WiFi and a VPN the WiFi symbol is replaced by an Ethernet s...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-23 17:54 UTC by Alec
Modified: 2017-12-12 10:47 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:47:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Alec 2017-01-23 17:54:34 UTC
Description of problem:
When connected to WiFi and a VPN the WiFi symbol is replaced by an Ethernet symbol which prohibits someone from seeing what there WiFi strength is.

Version-Release number of selected component (if applicable):
Fedora 25

How reproducible: Very

Steps to Reproduce:
1. Connect to a wireless network
2. Connect to a VPN

Actual results:
Ethernet symbol and VPN network lock symbol

Expected results:
WiFi symbol and VPN network lock symbol

Additional info:
If you guys could please change this I think it would a welcome fix. 
Thanks in advance.

Comment 1 Thomas Haller 2017-01-23 18:12:09 UTC
which GUI is this about? gnome-shell, nm-applet, or plasma-nm?

(I think they behave the same anyway and are possibly all affected. But to properly reassign the bug)

Comment 2 Alec 2017-02-09 05:52:31 UTC
I had gnome-shell in mind because that is what I use most of the time in Fedora 25. Thanks for looking into this!

Comment 3 Fedora End Of Life 2017-11-16 19:43:16 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:47:12 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.